Index: sandbox_light/cmake/FindOGRE.cmake
===================================================================
--- sandbox_light/cmake/FindOGRE.cmake	(revision 5788)
+++ 	(revision )
@@ -1,55 +1,0 @@
-# Find OGRE includes and library
-#
-# This module defines
-#  OGRE_INCLUDE_DIR
-#  OGRE_LIBRARY, the library to link against to use OGRE.
-#  OGRE_FOUND, If false, do not try to use OGRE
-#
-# Copyright © 2007, Matt Williams
-# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture
-# of the ETH Zurich (removed later on)
-#
-# Redistribution and use is allowed according to the terms of the BSD license.
-#
-# Several changes and additions by Fabian 'x3n' Landau
-# Lots of simplifications by Adrian Friedli
-# Version checking by Reto Grieder
-#                 > www.orxonox.net <
-
-INCLUDE(DetermineVersion)
-INCLUDE(FindPackageHandleAdvancedArgs)
-INCLUDE(HandleLibraryTypes)
-
-FIND_PATH(OGRE_INCLUDE_DIR Ogre.h
-  PATHS $ENV{OGRE_HOME}
-  PATH_SUFFIXES include include/OGRE Ogre.framework/Headers
-)
-FIND_LIBRARY(OGRE_LIBRARY_OPTIMIZED
-  NAMES OgreMain Ogre
-  PATHS $ENV{OGRE_HOME}
-  PATH_SUFFIXES lib bin/Release bin/release Release release
-)
-FIND_LIBRARY(OGRE_LIBRARY_DEBUG
-  NAMES OgreMaind OgreMain_d OgreMainD OgreMain_D Ogred Ogre_d OgreD Ogre_d
-  PATHS $ENV{OGRE_HOME}
-  PATH_SUFFIXES lib bin/Debug bin/debug Debug debug Versions/A
-)
-
-# Inspect OgrePrerquisites.h for the version number
-DETERMINE_VERSION(OGRE ${OGRE_INCLUDE_DIR}/OgrePrerequisites.h)
-
-# Handle the REQUIRED argument and set OGRE_FOUND
-# Also check the version requirements
-FIND_PACKAGE_HANDLE_ADVANCED_ARGS(OGRE DEFAULT_MSG ${OGRE_VERSION}
-  OGRE_LIBRARY_OPTIMIZED
-  OGRE_INCLUDE_DIR
-)
-
-# Collect optimized and debug libraries
-HANDLE_LIBRARY_TYPES(OGRE)
-
-MARK_AS_ADVANCED(
-  OGRE_INCLUDE_DIR
-  OGRE_LIBRARY_OPTIMIZED
-  OGRE_LIBRARY_DEBUG
-)
Index: sandbox_light/cmake/InstallConfig.cmake
===================================================================
--- sandbox_light/cmake/InstallConfig.cmake	(revision 5788)
+++ sandbox_light/cmake/InstallConfig.cmake	(revision 5789)
@@ -43,5 +43,4 @@
 SET(LIBRARY_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/${DEFAULT_LIBRARY_PATH})
 SET(ARCHIVE_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/${DEFAULT_ARCHIVE_PATH})
-SET(MODULE_INSTALL_DIRECTORY  ${CMAKE_INSTALL_PREFIX}/${DEFAULT_MODULE_PATH})
 SET(DOC_INSTALL_DIRECTORY     ${CMAKE_INSTALL_PREFIX}/${DEFAULT_DOC_PATH})
 SET(DATA_INSTALL_DIRECTORY    ${CMAKE_INSTALL_PREFIX}/${DEFAULT_DATA_PATH})
@@ -55,5 +54,4 @@
     SET(LIBRARY_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/lib/orxonox)
     SET(ARCHIVE_INSTALL_DIRECTORY ${CMAKE_INSTALL_PREFIX}/lib/orxonox/static)
-    SET(MODULE_INSTALL_DIRECTORY  ${CMAKE_INSTALL_PREFIX}/lib/orxonox/modules)
     SET(DOC_INSTALL_DIRECTORY     ${CMAKE_INSTALL_PREFIX}/share/doc/orxonox)
     SET(DATA_INSTALL_DIRECTORY    ${CMAKE_INSTALL_PREFIX}/share/orxonox)
Index: sandbox_light/cmake/LibraryConfig.cmake
===================================================================
--- sandbox_light/cmake/LibraryConfig.cmake	(revision 5788)
+++ sandbox_light/cmake/LibraryConfig.cmake	(revision 5789)
@@ -73,5 +73,4 @@
 # Performs the search and sets the variables    #
 
-FIND_PACKAGE(OGRE  1.4       REQUIRED)
 ##### Lua #####
 IF(CEGUILUA_USE_EXTERNAL_LIBRARY)
@@ -102,5 +101,4 @@
 IF(WIN32)
   OPTION(LINK_BOOST_DYNAMIC "Link Boost dynamically on Windows" TRUE)
-  OPTION(LINK_OGRE_DYNAMIC  "Link OGRE dynamically on Windows" TRUE)
   COMPARE_VERSION_STRINGS("${LUA_VERSION}" "5.1" _version_comparison)
   IF(_version_comparison LESS 0)
@@ -113,5 +111,4 @@
     MARK_AS_ADVANCED(
       LINK_BOOST_DYNAMIC
-      LINK_OGRE_DYNAMIC
       LINK_LUA_DYNAMIC
     )
Index: sandbox_light/cmake/LibraryConfigTardis.cmake
===================================================================
--- sandbox_light/cmake/LibraryConfigTardis.cmake	(revision 5788)
+++ sandbox_light/cmake/LibraryConfigTardis.cmake	(revision 5789)
@@ -45,4 +45,3 @@
   SET(BOOST_LIBRARYDIR "/usr/pack/boost-1.36.0-sd/i686-debian-linux4.0/lib")
   SET(ENV{LUA_DIR}     "/usr/pack/lua-5.1.4-sd;/usr/pack/lua-5.1.4-sd/i686-debian-linux4.0")
-  SET(ENV{OGRE_HOME}   "/usr/pack/ogre-1.4.9-sd;/usr/pack/ogre-1.4.9-sd/i686-debian-linux4.0")
 ENDIF(TARDIS)
Index: sandbox_light/cmake/PackageConfig.cmake
===================================================================
--- sandbox_light/cmake/PackageConfig.cmake	(revision 5788)
+++ sandbox_light/cmake/PackageConfig.cmake	(revision 5789)
@@ -59,5 +59,4 @@
 SET(ENV{BOOST_ROOT}            ${DEP_INCLUDE_DIR}/boost)
 SET(ENV{LUA_DIR}               ${DEP_INCLUDE_DIR}/lua)
-SET(ENV{OGRE_HOME}             ${DEP_INCLUDE_DIR}/ogre)
 
 ### INSTALL ###
Index: sandbox_light/cmake/TargetUtilities.cmake
===================================================================
--- sandbox_light/cmake/TargetUtilities.cmake	(revision 5788)
+++ sandbox_light/cmake/TargetUtilities.cmake	(revision 5789)
@@ -188,6 +188,4 @@
   IF(_arg_VERSION)
     SET_TARGET_PROPERTIES(${_target_name} PROPERTIES VERSION ${_arg_VERSION})
-  ELSEIF(NOT _arg_ORXONOX_EXTERNAL)
-    SET_TARGET_PROPERTIES(${_target_name} PROPERTIES VERSION ${ORXONOX_VERSION})
   ENDIF()
 