Index: branches/old.we/src/util/object_manager.cc
===================================================================
--- branches/world_entities/src/util/object_manager.cc	(revision 5782)
+++ branches/old.we/src/util/object_manager.cc	(revision 5796)
@@ -53,5 +53,5 @@
  * returns a new List with a list of WorldEntities of distance Radius from center
  */
-const std::list<WorldEntity*>* ObjectManager::distanceFromObject(const PNode& center, float radius, ClassID classID)
+std::list<WorldEntity*>* ObjectManager::distanceFromObject(const PNode& center, float radius, ClassID classID)
 {
   const tList<BaseObject>* objectList = ClassList::getList(classID);
@@ -61,5 +61,5 @@
 
     tIterator<BaseObject>* iter = objectList->getIterator();
-    PNode* tmp = dynamic_cast<PNode*>(iter->firstElement());
+    WorldEntity* tmp = dynamic_cast<WorldEntity*>(iter->firstElement());
     while (tmp != NULL)
     {
@@ -67,5 +67,5 @@
         newList->push_back(dynamic_cast<WorldEntity*>(tmp));
 
-      tmp = dynamic_cast<PNode*>(iter->nextElement());
+      tmp = dynamic_cast<WorldEntity*>(iter->nextElement());
     }
     delete iter;
Index: branches/old.we/src/util/object_manager.h
===================================================================
--- branches/world_entities/src/util/object_manager.h	(revision 5782)
+++ branches/old.we/src/util/object_manager.h	(revision 5796)
@@ -31,5 +31,5 @@
 
 
-  const std::list<WorldEntity*>* distanceFromObject(const PNode& center, float radius, ClassID classID);
+  static std::list<WorldEntity*>* distanceFromObject(const PNode& center, float radius, ClassID classID);
 
   ObjectGroupList* getGroupList( );
Index: branches/old.we/src/world_entities/weapons/bomb.cc
===================================================================
--- branches/world_entities/src/world_entities/weapons/bomb.cc	(revision 5782)
+++ branches/old.we/src/world_entities/weapons/bomb.cc	(revision 5796)
@@ -21,4 +21,6 @@
 #include "vector.h"
 #include "fast_factory.h"
+
+#include "object_manager.h"
 
 
@@ -105,4 +107,17 @@
   Vector v = this->velocity * (time);
   this->shiftCoor(v);
+  /////////////////////////////////////////////////////////////////////////////////////////
+  // TESTING THE OBJECT MANAGER  //////////////////////////////////////////////////////////
+  /////////////////////////////////////////////////////////////////////////////////////////
+
+  std::list<WorldEntity*>* objList = ObjectManager::distanceFromObject(*this, 100, CL_NPC);
+  std::list<WorldEntity*>::const_iterator detonator;
+  for (detonator = objList->begin(); detonator != objList->end(); ++detonator)
+  {
+//    printf("%d\n", strlen((*detonator)->getName()));
+    (*detonator)->collidesWith(this, Vector(0,0,0));
+
+  }
+  /////////////////////////////////////////////////////////////////////////////////////////
 
   this->lifeCycle += time/this->lifeSpan;
@@ -146,5 +161,5 @@
 void Bomb::collidesWith (WorldEntity* entity, const Vector& location)
 {
-	this->detonate();
+        this->detonate();
 }
 
@@ -168,5 +183,5 @@
   while(lm != NULL)
   {
-   
+
     lm = it->nextElement();
   }
Index: branches/old.we/src/world_entities/weapons/bomb.h
===================================================================
--- branches/world_entities/src/world_entities/weapons/bomb.h	(revision 5782)
+++ branches/old.we/src/world_entities/weapons/bomb.h	(revision 5796)
@@ -35,9 +35,9 @@
 
  private:
-  static FastFactory*               fastFactory;
-  static ParticleSystem*            trailParticles;
-  static ParticleSystem*            explosionParticles;
+   static FastFactory*               fastFactory;
+   static ParticleSystem*            trailParticles;
+   static ParticleSystem*            explosionParticles;
 
-  ParticleEmitter*                  emitter;
+   ParticleEmitter*                  emitter;
 
 };
Index: branches/old.we/src/world_entities/weapons/ground_turret.cc
===================================================================
--- branches/world_entities/src/world_entities/weapons/ground_turret.cc	(revision 5782)
+++ branches/old.we/src/world_entities/weapons/ground_turret.cc	(revision 5796)
@@ -15,7 +15,9 @@
 
 #include "ground_turret.h"
-#include "factory.h"
 #include "model.h"
 #include "turret.h"
+
+#include "factory.h"
+#include "load_param.h"
 
 CREATE_FACTORY(GroundTurret, CL_GROUND_TURRET);
@@ -53,10 +55,13 @@
   this->setClassID(CL_GROUND_TURRET, "GroundTurret");
   this->loadModel("models/ground_turret.obj", 5);
-  left = new Turret();
+  this->left = NULL;
+  this->right = NULL;
+
+  /*  left = new Turret();
   left->setParent(this);
   left->setRelCoor(0,10,0);
   right = new Turret();
   right->setParent(this);
-  right->setRelCoor(0,10,0);
+  right->setRelCoor(0,10,0);*/
 }
 
@@ -76,4 +81,5 @@
    * @todo: make the class Loadable
    */
+  LoadParamXML(root, "Weapons", this, GroundTurret, loadWeapon);
 }
 
@@ -105,8 +111,11 @@
   glMultMatrixf((float*)matrix);
 
-  if (model)
-    model->draw();
-  //left->draw();
-  //right->draw();
+  if (this->model)
+    this->model->draw();
+  if (left != NULL)
+    this->left->draw();
+  if (this->right != NULL)
+    this->right->draw();
+
   glPopMatrix();
 }
@@ -128,5 +137,5 @@
 void GroundTurret::postSpawn ()
 {
-    
+
 }
 
@@ -137,4 +146,4 @@
 void GroundTurret::leftWorld ()
 {
-    
+
 }
Index: branches/old.we/src/world_entities/weapons/ground_turret.h
===================================================================
--- branches/world_entities/src/world_entities/weapons/ground_turret.h	(revision 5782)
+++ branches/old.we/src/world_entities/weapons/ground_turret.h	(revision 5796)
@@ -19,6 +19,8 @@
   virtual ~GroundTurret();
 
+  void init();
   void loadParams(const TiXmlElement* root);
-  void init();
+
+  void loadWeapons(const TiXmlElement* root);
 
   virtual void postSpawn ();