Index: branches/network/src/lib/network/network_manager.cc
===================================================================
--- branches/network/src/lib/network/network_manager.cc	(revision 5810)
+++ branches/network/src/lib/network/network_manager.cc	(revision 5811)
@@ -141,5 +141,5 @@
   PRINTF(0)("Create a new server socket\n");
   /* creating a new network stream, it will register itself automaticaly to the class list */
-  NetworkStream* netStream = new NetworkStream(sync, port, NET_SERVER);
+  NetworkStream* netStream = new NetworkStream(port, sync, NET_SERVER);
 }
 
Index: branches/network/src/lib/network/network_stream.cc
===================================================================
--- branches/network/src/lib/network/network_stream.cc	(revision 5810)
+++ branches/network/src/lib/network/network_stream.cc	(revision 5811)
@@ -62,5 +62,5 @@
 
 
-NetworkStream::NetworkStream(Synchronizeable& sync, unsigned int port, NodeType type)
+NetworkStream::NetworkStream(unsigned int port, Synchronizeable& sync, NodeType type)
   : DataStream()
 {
Index: branches/network/src/lib/network/network_stream.h
===================================================================
--- branches/network/src/lib/network/network_stream.h	(revision 5810)
+++ branches/network/src/lib/network/network_stream.h	(revision 5811)
@@ -31,5 +31,5 @@
   NetworkStream();
   NetworkStream(IPaddress& address, Synchronizeable& sync, NodeType type);
-  NetworkStream(Synchronizeable& sync, unsigned int port, NodeType type);
+  NetworkStream(unsigned int port, Synchronizeable& sync, NodeType type);
   ~NetworkStream();
 
Index: branches/network/src/subprojects/network/network_unit_test.cc
===================================================================
--- branches/network/src/subprojects/network/network_unit_test.cc	(revision 5810)
+++ branches/network/src/subprojects/network/network_unit_test.cc	(revision 5811)
@@ -166,4 +166,67 @@
 
 
+
+/**
+ *
+ * @param argc
+ * @param argv
+ * @return
+ */
+int startServer(int argc, char** argv)
+{
+  if( argc <= 2) {
+    printf(" Wrong arguments try following notations:\n");
+    printf("   --server [port number]\n");
+    return 0;
+  }
+
+  int port = atoi(argv[2]);
+  printf("Starting Server on port %i\n", port);
+
+  NetworkManager* netMan = new NetworkManager();
+  Synchronizeable* ss = new SimpleSync("Server\0");
+
+  //NetworkStream* server = new NetworkStream(port, ss, NET_SERVER);
+  netMan->createServer(*ss, port);
+
+  return 0;
+}
+
+
+int startClient(int argc, char** argv)
+{
+  if( argc < 3) {
+    printf(" Wrong arguments try following notations:\n");
+    printf("   --client [server ip] [port number]\n");
+    printf("   --server [server name] [port number]\n");
+    return 0;
+  }
+
+  char* name = argv[2];
+  int port = atoi(argv[3]);
+  printf("Connecting to %s, on port %i\n", name, port);
+
+  IPaddress ip;
+  int error = SDLNet_ResolveHost(&ip, name, port);
+  //SDLNet_ResolveHost(&ip, "localhost", port);
+  if(error == -1) printf("\n\nerror on address resolution, program inconsistancy\n\n");
+
+  NetworkManager* netMan = new NetworkManager();
+  Synchronizeable* ss = new SimpleSync("Client\0");
+
+  netMan->establishConnection(ip, *ss);
+
+
+  //NetworkStream* client = new NetworkStream(ip, ss, NET_CLIENT);
+
+
+  delete netMan;
+  delete ss;
+
+  return 0;
+}
+
+
+
 /**
  *
@@ -174,11 +237,13 @@
 int main(int argc, char** argv)
 {
+  int i;
   // here the pre-arguments are loaded, these are needed to go either to orxonx itself, Help, or Benchmark.
-  int i;
   for(i = 1; i < argc; ++i)
   {
     //else if(!strcmp( "--gui", argv[i]) || !strcmp("-g", argv[i])) showGui = true;
-    if (! strcmp( "--sockettest", argv[i]) || !strcmp("-s", argv[i])) return testSocket(argc, argv);
-    else if (! strcmp( "--frameworktest", argv[i]) || !strcmp("-f", argv[i])) return testFramework(argc, argv);
+    if (! strcmp( "--sockettest", argv[i]) || !strcmp("-st", argv[i])) return testSocket(argc, argv);
+    else if (! strcmp( "--frameworktest", argv[i]) || !strcmp("-ft", argv[i])) return testFramework(argc, argv);
+    else if (! strcmp( "--server", argv[i]) || !strcmp("-s", argv[i])) return startServer(argc, argv);
+    else if (! strcmp( "--client", argv[i]) || !strcmp("-c", argv[i])) return startClient(argc, argv);
   }
 